"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const execa_1 = __importDefault(require("execa"));
class DockerRunner {
    static run(args, outputEnabled = false) {
        const dockerProc = execa_1.default('/usr/bin/docker', args);
        if (outputEnabled)
            dockerProc.all.pipe(process.stdout);
        return dockerProc;
    }
}
exports.DockerRunner = DockerRunner;
//# sourceMappingURL=DockerRunner.js.map