import { BuilderOptions } from './Builder';
interface PusherOptions extends BuilderOptions {
}
export declare class Pusher {
    private builder;
    private fnData;
    private logger;
    private outputToStdout;
    constructor(fnDir: string, username: string, dockerhubUsername: string, options?: PusherOptions);
    addToHermes: (update: boolean, token: string, target?: string) => Promise<import("@hermes-serverless/api-types-db-manager/function").FunctionData[]>;
    private build;
    private pushToHermes;
    private updateOnHermes;
    private checkIfFunctionExists;
    private pushWatcherToDockerhub;
}
export {};
