import { BuiltFunction, BuiltWatcher } from '../globalTypes';
import { DataProvider } from './DataProvider';
export interface BuilderOptions {
    fnData?: DataProvider;
    logger?: any;
    outputToStdout?: boolean;
}
export declare class Builder {
    private fnData;
    private logger;
    private outputToStdout;
    constructor(fnDir: string, username: string, dockerhubUsername: string, opts?: BuilderOptions);
    buildFunction: () => Promise<BuiltFunction>;
    buildWatcher: (target?: string) => Promise<BuiltWatcher>;
}
