import { AuthObj, User, UsernameExistenceObj } from '../globalTypes';
export interface UserForAuth extends User {
    password: string;
}
export declare class AuthDatasource {
    private static client;
    private static readonly baseURL;
    static register(newUser: UserForAuth): Promise<AuthObj>;
    static login(loginData: UserForAuth): Promise<AuthObj>;
    static usernameExists(username: string): Promise<UsernameExistenceObj>;
    static getMe(token: string): Promise<User>;
}
