import { User } from '../globalTypes';
export interface UpdatedUser {
    updatedUser: User;
}
export interface DeletedUser {
    deletedUser: User;
}
export declare class UserDatasource {
    private static client;
    private static readonly baseURL;
    static updateUser(username: string, newUserInfo: User, token: string): Promise<UpdatedUser>;
    static deleteUser(username: string, token: string): Promise<DeletedUser>;
}
